Bug 140535 - Screensaver never gets launched
Summary: Screensaver never gets launched
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-23 15:06 UTC by Greg Douglas
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-04 14:32:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xscreensaver file as requested (10.30 KB, text/plain)
2004-11-23 22:19 UTC, Greg Douglas
no flags Details

Description Greg Douglas 2004-11-23 15:06:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The screen saver never launches, regardless of the screensaver
preference settings.

- I am using the VESA (generic) video driver shipped with FC3.

- My monitor is model: Compaq 140.

- MSI KM3M-V motherboad with KM400 video chipset.

- I currently have an outstanding bug related to a video chipset
driver (S3 Unichrome) that I cannot use (see bug #138714)

 

Version-Release number of selected component (if applicable):
xScreenSaver 4.18

How reproducible:
Always

Steps to Reproduce:
1. Set Preferences in the xScreenSaver panel using Gnome. 
2. Wait the indicated time.
3. 
    

Actual Results:  The monitor goes blank (probably power saving mode),
but the screensaver patterns are never started. 

Expected Results:  ScreenSaver pattern selected should appear.

Additional info:

Comment 1 Ray Strode [halfline] 2004-11-23 15:44:40 UTC
Do you have your screensaver mode set to "blank only" ?

Could you attach your ~/.xscreensaver file please?

Comment 2 Greg Douglas 2004-11-23 22:19:25 UTC
Created attachment 107350 [details]
xscreensaver file as requested

Comment 3 Tomasz Kepczynski 2004-11-24 18:56:18 UTC
I have the same problem but under KDE. Some screensavers are not
even displayed in preview in KDE Control Center (i.e. Euphoria),
some other are displayed in preview but aren't launched as expected.
And again - after some time screen is blanked.

Comment 4 Tomasz Kepczynski 2004-11-24 21:30:04 UTC
I think I found a problem. I use "nv" driver for my X server and I
get this message in /var/log/Xorg.0.log:
(EE) Failed to initialize GLX extension (NVIDIA X driver not found)
I also have some complaints about GLX library in .xsession-errors
when I try to test for example Euphoria screen saver.
Now I tried NVIDIA driver (version 1.0-6629) and everything works
just fine. So the problem probably exists in Xserver itself and
not in xscreenserver.


Comment 5 Greg Douglas 2005-01-06 18:00:12 UTC
The screen saver just started working after updating to the
kernel-2.6.9-1.724_FC3.

Good work folks.


Note You need to log in before you can comment on or make changes to this bug.